> For the complete documentation index, see [llms.txt](https://docs.meeco.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.meeco.me/guides/onboarding-to-svx.md).

# Onboarding to SVX

To onboard to Secure Value Exchange (SVX) you will first need to sign up. Navigate to our [sign up form](https://login-sandbox.securevalueexchange.com/signup) to gain access to our Sandbox. Signup is automatic — no approval is required — and once complete you will be taken directly to your Tenant. You can also [log in to the SVX Portal](https://portal-sandbox.securevalueexchange.com/login) at any time. From here you can:

* Use the Portal UI to manage workflows, and
* Directly access the SVX Sandbox API.

### Using the Portal UI

Navigate to the [Portal login page](https://portal-sandbox.securevalueexchange.com/login) and log in using your SVX credentials. Refer to the [Portal tutorials](/guides/portal-tutorials.md) where you can find step-by-step instructions to navigate the Portal and manage a Tenancy and / or an Organisation.

### Accessing the SVX Sandbox API

To directly access the SVX Sandbox API you will need to follow the steps below:

**1. Access the SVX Sandbox API documentation:**

Navigate to the [SVX Sandbox API documentation](https://api-reference-sandbox.svx.exchange/). At the top of the landing page, you will see the OpenAPI3 specification. Download the specification and import it into [Postman](https://learning.postman.com/docs/integrations/available-integrations/working-with-openAPI/).

> **Note** To download the OpenAPI3 specification into Postman, follow these simple steps:
>
> 1. Download the specification from the [API documentation landing page](https://api-reference-sandbox.svx.exchange/)
> 2. Open Postman
> 3. Import the downloaded .json file

**2. Retrieve a Personal Access Token**

Open Postman and create a new request by clicking on the *New* button in the upper-left corner.

Navigate to the *Authorization* tab, which is located below the URL field.

In the *Authorization* tab, select *OAuth 2.0* from the *Type* dropdown menu.

Fill in the OAuth 2.0 Access Token Request Details:

```bash
Grant Type: Authorization Code with PKCE
Auth Url: https://login-sandbox.securevalueexchange.com/oauth2/auth
Access Token URL: https://login-sandbox.securevalueexchange.com/oauth2/token
Client ID: ed3d2366-0fb6-406e-ae72-afd7634e6c9f
Scope: openid profile email offline_access
```

After filling in the required details, click on the *Request Token* button. This will initiate the OAuth 2.0 authentication process.

You will be redirected to the authorisation page of the service you are connecting to. Log in using your SVX login credentials.

After successful authorisation, you will be redirected back to Postman, and the personal access token will be automatically saved.

> **Note** Your Personal Access Token will expire after 1 hour. Just like the Application Token, you will be required to refresh it to maintain access.

**3. Refresh your Personal Access Token**

To refresh the Personal Access Token, you need to make a `POST` request to the OAuth2 token endpoint with a valid refresh token and your client and tenant IDs.

```bash
curl 'https://login-sandbox.securevalueexchange.com/oauth2/token' \
  -H 'content-type: application/x-www-form-urlencoded' \
  --data-raw 'grant_type=refresh_token&refresh_token=existing_token&client_id=ed3d2366-0fb6-406e-ae72-afd7634e6c9f&tenant_id=32a08dc4-ad7f-491a-a06c-3284592a3737' \
  --compressed
```

Make sure to replace `existing_token`, `client_id`, and `tenant_id` with your specific values. You can find your Tenant ID in the Portal under **Manage Tenancy → Account Settings → Tenant ID**.

**4. Access the SVX Sandbox API**

With the obtained personal access token, you can now use the SVX Sandbox API. For example, if you want to access the `me` endpoint, use the following cURL command:

```bash

   curl --location 'https://api-sandbox.svx.exchange/me' \
   --header 'Meeco-Organisation-Id: YOUR_ORGANISATION_ID' \
   --header 'Accept: application/json' \
   --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

```

Replace `YOUR_ORGANISATION_ID` with the relevant ID for your organisation, and `YOUR_ACCESS_TOKEN` with the token obtained in the previous step. You can find your Organisation ID in the Portal under **Manage Organisation → Account Settings → Organisation ID**. You should now be able to successfully access the SVX Sandbox API using the provided authorisation token.&#x20;

For additional support, review the [SVX API reference](/openapi-docs/svx-api.md) or contact the [Service Desk](https://meecosystem.atlassian.net/servicedesk/customer/portal/4).
